Un retour sur Diaspora

Il y a plusieurs années, je clamais haut et fort que je quittais Facebook à jamais. Je dois vous avouer que j’ai échoué en partie.

À cause de mon activité social au sein de la communauté des radioamateurs et du gaming, j’ai due me recréer un compte Facebook. Cette fois-ci j’y ai mis le moins d’information possible et même à ça, il reste que des fois, je détecte des aberrations comportemental de celui-ci. Mais bon, nous sommes sur nos gardes.

Et c’est pour cela que j’avais fais un article sur diaspora en 2014 

Après 4 ans, je suis toujours sur Diaspora et actif. La seule chose, c’est qu’ils manque des radioamateurs. Pourquoi je dis ça? C’est que Dispora, contrairement à Facebook, affiche sur ton timeline ce que tu décide de voir. Donc si je décide de lire des choses sur la radioamateur et s’il n’y a pas de radioamateur qui affiche du contenu, il n’y a rien a lire.

Ce qui explique pourquoi j’ai fais cette vidéo que je vous invite à la regarder attentivement. Elle explique les grandes lignes de Diaspora et si vous avez des questions, vous pouvez toujours me rejoindre sur Twitter à @va2os.

Bon visionnement!

CQ CQ VA2OS VA2OS?

Hey oui! un an sans avoir écris une ligne sur mon blog!

Bien quoi? Je n’avais pas grand chose à dire. De plus, je me rends compte que le blog prends plus une tournure informatique que radioamateur. Bien sur, avec la venu des ordinateurs de plus en plus puissant, cette tendance est inévitable. Peut-être même que l’informatique va permettre à la radioamateur de survivre un peu plus longtemps?

Pour ma part, l’informatique était une partie intégrante de ma vie depuis bien avant que je connaisse la radioamateur.  C’est au moment de l’apparition du D-Star que j’ai vraiment commencé à apprécié la radioamateur à son maximum. La fusion entre l’informatique et la radio est venu tellement me chercher que je me suis joins à un groupe de personnes pour fonder une association qui s’appel D-Star Montréal.  Malheureusement, celle-ci est plus vue comme un club qu’une association de personnes, mais ça, c’est une autre histoire.

Bref, ceci n’explique en rien mon absence et le fait que je n’ai pas écris sur ce blog depuis longtemps. En fait, J’étais en cheminement/réflexion et en voici le résultat.

Pour le moment j’ai peut-être un projet que j’aimerais réalisé avec la radioamateur et l’informatique. Quelque chose que je n’ai pas encore vue et qui semble assez facile à réaliser. Alors surveiller mon blog pour un ajout qui apparaîtra bientôt.  De plus, j’aimerais intégrer sur ce blog les vidéos déjà réalisé et à venir. Oh des vidéos? YES…

Comme résultat de mon cheminement et ma réflexion, j’aimerais réaliser un rêve que j’ai mis de côté pour la retraite. Cependant, je me rends compte que si j’attends ma retraite pour le réaliser je n’aurai pas assez de connaissances pour pouvoir en profiter pleinement. C’est drôle à dire; ‘si je veux en profiter à ma retraite, je dois commencer maintenant!’ Ce rêve inclus la radioamateur et un peu d’informatique et pardessus le marché, il y a beaucoup de radioamateur qui exerce ce hobby!

Savez-vous de quoi je parle? Avez-vous une petite idée ? J’avoue que ce post est un peu étrange, mais je vous plonge dans un suspens volontairement, car ce futur hobby va m’alimenter en nouveaux projets et de nouvelles écritures pour ce blog!

Un gros merci à ceux qui suivent ce blog depuis toutes ses années! <3

Test sur #Nextcloud et #NextcloudPi

Je dois vous avouer que je connaissais Owncloud parce que je l’avais essayé sur mon BeagleBone Black et que cela n’avait pas été concluant. Dans ce temps, le BBB était juste un peu plus fort que le Raspberry Pi B et que finalement ce petit ordinateur n’était pas assez fort pour tout supporter.

Voilà que la semaine passée, mes yeux sont tombés sur le site de ownyourbits.com sur cette distribution spécialement fait pour le Raspberry Pi 3. C’est là que j’ai appris que Nextcloud existait et qu’il était un nouvel embranchement de Owncloud. Je commence à lire le tutoriel plus en détail et je m’aperçois que Ownyourbits facilite l’installation et la configuration de NextCloud grandement. Alors, pourquoi ne pas le tester nous-mêmes?

C’est ce que j’ai fait ! Je me suis acheté un Raspberry Pi 3 sur Amazon avec une carte SD de 32Gb pour avoir plus d’espace. Veuillez noter, que vous pouvez aussi opter pour un disque dur externe USB pour encore plus de place et que nextcloudpi va même vous aider à le configurer!

Oui, Nextcloudpi possède plusieurs outils de configuration et en voici quelques-uns

  • Wi-Fi ready
  • Mise à jour de sécurité automatique
  • Let’s Encrypt pour configurer votre https
  • Fail2ban pour vous protéger des attaques brute force
  • Support pour DNS dynamique de No-IP
  • dnsmasq pour trouver votre DNS localement
  • modsecurity Fierwall
  • Service NFS
  •  Service Samba
  • remote update

Ce sont là tous des ajouts en extra, que le ou les concepteurs ont ajouté dans nextcloudpi. Ils sont tous configurables dans un menu qu’on appelle par la commande nexcloudpi-config et je vous confirme que ce n’est pas vraiment compliqué. Même s’il est préférable d’avoir un minimum de connaissance pour installer le tout convenablement, je pense que même une personne sans expérience peut arriver à ses fins avec de la patience et du temps. Cela m’a pris une heure pour avoir une installation complétée. Mais, j’avais déjà tous les éléments en main comme un compte No-IP, etc.

Pour voir comment l’installation se fait en détail, je vous conseil d’aller sur le site de ownyourbits.com. Tout y est minutieusement expliqué et détaillé.

Mon test 

Je n’ai pas fait vraiment de tests scientifique avec des chiffres pointus ni de comparatif avec les autres serveurs de même type. Je n’ai que fait l’installation et essayé les fonctionnalités comme n’importe quel autre utilisateur normal le ferait. Ma crainte était fondée sur mon expérience d’avant. Est-ce que le Raspberry Pi 3 va supporter le serveur et comment il réagira? Alors là, je peux vous dire que j’ai été agréablement surpris. Voici quelques appréciations.

Fonctionnalités

Public Dropbox

Exemple du dropbox public

J’ai toujours aimé l’interface de Owncloud et Nextcloud est vraiment proche de celui-ci. Comparativement à la version que j’avais essayée 2 ans plus tôt, il y a beaucoup de fonctionnalités de partage, Applications, un ~dropbox~  qui sont apparus au gré du temps. Ce qui me surprend le plus c’est la réactivité des pages web. Tout réagit très bien et se synchronise automatiquement en temps réel sur mon ordinateur pour mon compte. Donc, si ma carte SD flanche et que j’ai oublié de faire un backup du serveur, je n’ai pas tout perdu.

J’ai installé quelques que applications comme l’agenda, contactes. Je n’ai pas de difficulté à synchroniser avec mon téléphone, mais je n’arrive pas à le faire avec évolution (l’équivalent d’Outlook sur Linux). Il semblerait qu’il y est un problème avec Gnome. Donc, soyons patients, il y aura une mise à jour en fin mai 2017 et peut-être que le problème sera résolu.

Édit: Après Y avoir réfléchis, dans Fedora, j’ai ouvert  »Comptes en ligne » dans les paramètres et j’ai entrée les information de mon serveur dans le compte Owncloud et paff! tout mes rendez-vous et contactes ont apparus dans Évolution. Donc ne configurez pas Évolution mais plutôt comptes en ligne!

Écran de fichiers

En résumé!

Il y a longtemps que je ne me suis pas amusé avec un logiciel autant que ça! Si vous avez un dropbox, google drive, icloud ou autre service comme ceux-ci, qui sont souvent limités pour vous faire sortir de l’argent de vos poches, je vous recommande fortement ce petit projet. Pour une centaine de dollars, vous avez un dispositif chez vous et vous aurez le contrôle sur vos données. Vous avez certainement déjà entendu cette phrase:  »Le nuage informatique n’existe pas! C’est seulement un ordinateur de quelqu’un d’autre ». Alors voici votre opportunité de posséder votre propre nuage ! 😉

Bon projet!

Quelques nouvelles sur #Keybase

Bon, je n’ai pas écris depuis longtemps et c’est un peu voulu. Je n’avais pas grand chose à dire. Donc, vous devez deviner que j’ai maintenant quelque chose à dire. Voilà quelque temps, j’avais écris un billet sur https://keybase.io, mais je peux vous dire que l’eau à coulé sous les ponts.

Petit rappel 

Si vous n’avez pas lu mon billet sur la façon de certifier son compte twitter sans se prendre pour une vedette, Je vous explique brièvement ce qu’est Keybase. Keybase a plusieurs facettes. Il peut-être un serveur de clé public pour pouvoir récupérer les clés de vos amis pour leur envoyer des message chiffré. Il peut aussi être une façon de certifier vos comptes Twitter, site web, Github, Hacker news, une clé Bitcoin et plus encore. C’est la meilleur façon pour vos amis d’être sur que vous êtes vous-même!

Nouveauté?

Alors oui! il y a des nouveautés chez Keybase dont la première est une nouvelle application!

La nouvelle application va vous permettre de chiffrer vos conversations chat avec vos amis de point à point et aussi de partager jusqu’à 10Gb de fichiers signé soit publique et privé! Et gratuit!

Il y a aussi un moteur de recherche pour rechercher vos amis dans différent réseaux sociaux, alors ça devient encore plus facile de retrouver vos amis.

Pour terminer avec les nouveautés, Keybase met à votre service une page web de présentation qui peut-être rédigé en HTML ou en markdown. Je me suis fait une petite page de présentation, comme https://kunsel.keybase.pub et personnellement je trouve ça pratique et cool. Je vous y ai mis ma clé publique si jamais vous voulez m’envoyer un message chiffré. Le même contenu est disponible en style ftp à https://keybase.pub/kunsel/.

Conclusion

Keybase est un outil formidable pour apprendre le chiffrement, prouver son identité et connecter avec ses amis facilement, rapidement et surement. Je sais pertinemment que keybase veulent ajouter d’autres réseaux sociaux à certifier. Cependant avec la nouvelle mise à jour, on dirait que Keybase commence à élargir leurs compétences et je trouve qu’ils ont fait des beaux ajouts complémentaires. Pour ce qui est des courriels, je vous suggère fortement un logiciel comme Evolution ou Thunderbird. Keybase peut le faire, mais c’est fastidieux. Mon dernier point avant de terminer est que je vous suggère aussi de ne pas envoyer votre clé privé et seulement que votre clé publique sur le serveur. Même si les fondateurs disent que votre clé est en très bonne sécurité, à mon sens à moi, je pense qu’elle serait plus en sécurité si elle est sur un support non connecté internet.

Si vous êtes sur keybase, ne manquez pas de me suivre et je vous suivrai en retour. Si vous ne l’êtes pas, j’ai toujours quelques invitations à donner.

Bon chiffrement!

 

Réseau du 27 septembre 2016

Bonjour,
Comme Michel VE2JA à des problèmes d’horaire, il y aura un peut plus de réseau YouTube les mardis soir. Le prochain réseau sera le 11 octobre 2016. Donc c’est un rendez-vous!

Ne manquez pas de me laisser vos suggestions ou commentaires pour me permettre améliorer les choses.

Voici le log du 27-09-2016

Présence Indicatif Nom Lieu d’émission
1 VE2AUW AURÈLE CANTLEY
2 VE2HN DENIS VARENNES
3 VE2MLF MARCEL PORTNEUF
4 VE3VIG MAURICE-ANDRÉ OTTAWA
5 VE2FPD ROBERT LAC CAYAMANT
6 VE2GLG GUY OTTERBURN-PARK
7 VE2AXU RAYMOND QUÉBEC
8 VE2NAX NOEL-ANDRÉ MONTRÉAL
9 VE2YUR/M LOUIS MONTRÉAL
10 VE2VAG GUY QUÉBEC
11 VE2HHQ MICHEL QUÉBEC
12 VE2DE DONALD QUÉBEC
13 VE2DNK DOMINIQUE ST-BRUNO
14 VE2FDA FRANÇOIS LONGUEUIL

Un second réseau D-Star sur YouTube

Encore une fois, le 1er septembre 2016, j’ai faits une autre tentative de faire un réseau D-Star en direct sur YouTube.

J’aimerais profiter de cette occasion pour vous dire un gros merci d’avoir participé en grand nombre à ces deux évènements et que j’ai apprécié tous les beaux mots que vous avez eus à mon égare. Malgré tous les défis, technique et personnel, j’ai adoré de faire ces deux réseaux mémorables.

Je n’ai aucune idée si dans un avenir rapproché je vais pouvoir en refaire d’autre comme celui-ci, mais je vous promets d’essayer de trouver une solution.

Voici le lien pour revoir le vidéo https://www.youtube.com/watch?v=mKo8-qM8Djk

En attendant je vous laisse avec le log de la soirée du 1er septembre.

Meilleurs 73

Présence Indicatif Nom Relais utilsé Lieu d’émission
1 VA2CPK CLAUDE VE2RTO SHERBROOKE
2 VE2DE DONALD VE2RQT QUÉBEC
3 VE2HHQ MICHEL VE2RQT QUÉBEC
4 VE2XDM DOMINIQUE VE2RQT LÉVIS
5 VE2CSM SYLVAIN VE2RQT CAP-SANTÉ
6 VE3VIG MAURICE-ANDRÉ VA3ODG OTTAWA
7 VE2SIG MICHEL VE2RQT QUÉBEC
8 VE2SII ANDRÉ VE2RIO JOLIETTE
9 VA2PX MARTIN VE2CST LOUISEVILLE
10 VE2YUR LOUIS VE2RIO MONTRÉAL
11 VE2DNK DOMINIQUE VE2RIO ST-BRUNO
12 VE2XZT JEAN-ÉMILE VR2RQ QUÉBEC
13 VE2NAX NOEL-ANDRÉ VE2RIO MONTRÉAL
14 VE2HN DENIS VE2RIO VARENNES
15 VE2CYJ JACQUES VE2RIO MONTRÉAL
16 VE2CED JEAN-LUC VE2RIO BROSSARD
17 VE2GLG GUY VE2RIO OTTERBURN-PARK
18 VE2AXU RAYMOND VE2RQT QUÉBEC
19 VE2JA MICHEL VE2RQT L’ANCIENNE-LORETTE
20 VE2JK VINCENT VE2RQT QUÉBEC
21 VE2NBL NORMAND VE2RIO BROSSARD
22 VE2FDA FRANÇOIS VA2RKB LONGUEUIL

Mon premier réseau D-Star sur Youtube

Bonjour à tous,

Cela fait bien longtemps que je n’ai pas écrit sur ce site. Disons que je fais un peu moins d’expérimentations ces temps-ci. Sauf hier, pour la première fois, j’ai faits un réseau D-Star que j’ai rediffusé en direct sur YouTube! yt_1200-vfl4C3T0K

Si vous n’avez pas eu la chance d’assister au direct, en voici la rediffusion ici sur https://www.youtube.com/watch?v=i4MzZW_auuA  Je vous invite à partager vos commentaires dans le bas de la vidéo et de laisser un like si vous avez aimé la vidéo. Si vous voulez être notifiés lors du prochain réseau, vous pouvez vous abonner à la chaîne.

Pour terminer ce petit article, je peux vous dire que j’ai vraiment aimé l’expérience et que j’ai déjà hâte d’en refaire un autre. J’aimerais aussi remercier toutes les stations qui étaient présentes au réseau, à travers le Québec sur YouTube et aussi sur les fréquences D-Star!

Finalement je réitère mon désir d’entendre parler de vous et de vos commentaires ainsi de savoir, qu’est-ce que vous aimeriez voir sur l’interface lors du prochain réseau.

Merci encore une fois et 73 à tous!

Pour le bénéfice de tous, voici le log du réseau

Présence Indicatif Nom Relais utilsé Lieu d’émission
1 VE3VIG MAURICE-ANDRÉ VA3ODG OTTAWA
2 VE2GLG GUY VE2RIO OTTERBURN-PARK
3 VE2JA MICHEL VE2RQT L’ANCIENNE-LORETTE
4 VE3VCF GUY VA3ODG GLOUCESTER ONT.
5 VE2MKR MARTIN VA2RKA CANDIAC
6 VE2DNK DOMINIQUE VE2RIO ST-BRUNO
7 VE2JK VINCENT VE2RQT QUÉBEC
8 VA2DLD LOUIS VA2RKB N-D DE LOURDES
9 VE2XDM DOMINIQUE VE2RQT LÉVIS
10 VE2DE DONALD VE2RQT QUÉBEC
11 VE2YUR LOUIS VE2RIO MONTRÉAL
12 VE2SIG MICHEL VE2RQT QUÉBEC
13 VE2HN DENIS VE2RIO VARENNES
14 VE2AXU RAYMOND VE2RQT QUÉBEC
15 VE2ZWA ALAIN VE2RQT ST-ANDRÉ DE LÉVIS
16 VA2TK GILLES VA2RKB DEUX-MONTAGNES
17 VE2MZT SIMON DONGLE REPENTIGNY
18 VA2KM/M MARIO VE2RQT VAL-BÉLAIR
19 VA2ASP PASCAL VE2RIO ST-HYACINTHE
20 VE2LPS/P LOUIS VE2REX DEUX-MONTAGNES
21 VE2VAG GUY VE2RQT QUÉBEC
22 VE2AXS MARIO VE2RVR B ST-JEAN-RICHELIEY

Des Nouvelles de mon #Beaglebone Black

Si vous avez un peu suivi ce Blogue, vous savez que j’ai dans mon arsenal un Beaglebone Black. Comme vous avez constaté, je n’en ai pas reparlé et j’ai finalement fait mon projet de Gopher sur le Raspberry Pi au lieu du Beaglebone. Alors, vous devez avoir cette question en tête: Bien oui, VA2OS, qu’as-tu fait de ton Beaglebone Black? Alors voici:

beaglebone-black-frontVous vous souvenez de mon article sur le Broadband Hamnet? J’ai finalement converti mon vieux routeur Linksys en node Mesh et j’ai utilisé mon Beaglebone Black pour en faire un serveur. Et ça fonctionne NICKEL! Donc, si nous voulons monter un réseau Mesh, je branche tout simplement mon petit Beagle sur mon routeur pour donner un service HTTP. Pour l’occasion, j’ai utilisé Flatpress qui n’est pas aussi conviviale que WordPress, mais il a une structure tellement simple qu’il n’utilise pas beaucoup de ressources et il est vite comme l’éclaire sur le réseau Mesh. J’en suis très fière.

Aussi, en tant que radioamateurs, nous aimons beaucoup communiquer. Alors, j’ai aussi installé un serveur IRC. Lui aussi fonctionne très bien et j’ai bien hâte de pouvoir l’utiliser en direct avec d’autres radioamateurs.

Il ne me reste plus qu’à configurer mon serveur FTP. Bien oui, un serveur FTP est simple et aussi très rapide, mais j’ai actuellement des problèmes à la configuration de celui-ci. Peut-être, je devrais envisager de changer le serveur FTP.

Alors voici ce que j’en ai fait. Il est très tranquille dans son petit coin, mais il est paré à rendre service à la communauté.

VA2OS

 

Gopher sur Raspberry Pi

J’avais promis un petit tuto sur l’installation de Gopher sur un Raspberry pi, après quelques semaines d’attentes, le voici.

L’adresse de mon serveur Gopher est gopher://gopher.voyez.ca. Pour visionner les pages, vous devez avoir un navigateur approprié. Sur les mobiles il existe iGopher ou voici d’autres suggestions ici. Si vous avez réussi à faire votre site, c’est avec plaisir que je vais ajouter votre adresse à mon site Gopher. Envoyez-moi un message avec votre adresse.

Avant de suivre ce tutoriel, assurez-vous de bien avoir préconfiguré votre Raspberry. Vous pouvez vérifier ici. Les points importants de votre configuration sont

  • Réserver une adresse IP pour votre Raspberry avec votre router
  • Nom de domaine dynamique gratuit
  • Modifier le fichier cron
  • Ouvrir le port 70 dans votre routeur et le relayer à l’adresse IP de votre Raspberry.

Si vous avez complété tous ces éléments, passez à l’étape suivante…

Installation du serveur Gopher

Il y a plusieurs types de serveurs Gopher que vous pouvez trouver sur internet. J’ai choisi Geomyidae car il utilise très peu de ressource. Donc, ça colle bien avec la réalité du Raspberry Pi, surtout que j’ai un Ratflector et DVAPTool qui roulent aussi sur le même ordinateur.

Ouvrir une session SSH sur votre Raspberry.

Comme toujours, une petite mise à jour vaut vraiment le coup

sudo apt-get update
sudo apt-get upgrade

Ensuite, nous devons télécharger le fichier et installer Geomyidae:

mkdir ~/build
cd ~/build
wget http://r-36.net/src/geomyidae/geomyidae-current.tgz
cd geomyidae-*
 make
 make install

Lorsque terminé, vous devez créer un répertoire ou les pages seront stockées. Votre page de départ devra être nommée de cette façon: index.gph.

mkdir -p /var/Gopher

Pour la suite, j’ai utilisé un script réalisé par le créateur, Bob Mottram, de la freedombone.  Créé un fichier avec votre éditeur préféré comme Vim

sudo vim /etc/init.d/gopher

Voici le code à coller dans votre fichier

#! /bin/sh
### BEGIN INIT INFO
# Provides: gopher
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Gopher daemon
# Description: Gopher daemon
### END INIT INFO

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Gopher daemon"
NAME=geomyidae
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="-l /var/log/geomyidae.log -b /var/Gopher -p 70"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
 # Return
 # 0 if daemon has been started
 # 1 if daemon was already running
 # 2 if daemon could not be started
 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
 || return 1
 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
 $DAEMON_ARGS \
 || return 2
 # Add code here, if necessary, that waits for the process to be ready
 # to handle requests from services started subsequently which depend
 # on this one. As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
 # Return
 # 0 if daemon has been stopped
 # 1 if daemon was already stopped
 # 2 if daemon could not be stopped
 # other if a failure occurred
 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
 RETVAL="$?"
 [ "$RETVAL" = 2 ] && return 2
 # Wait for children to finish too if this is a daemon that forks
 # and if the daemon is only ever run from this initscript.
 # If the above conditions are not satisfied then add some other code
 # that waits for the process to drop all resources that could be
 # needed by services started subsequently. A last resort is to
 # sleep for some time.
 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
 [ "$?" = 2 ] && return 2
 # Many daemons don't delete their pidfiles when they exit.
 rm -f $PIDFILE
 return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
 #
 # If the daemon can reload its configuration without
 # restarting (for example, when it is sent a SIGHUP),
 # then implement that here.
 #
 start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
 return 0
}

case "$1" in
 start)
 [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
 do_start
 case "$?" in
 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 esac
 ;;
 stop)
 [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
 do_stop
 case "$?" in
 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 esac
 ;;
 status)
 status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
 ;;
 #reload|force-reload)
 #
 # If do_reload() is not implemented then leave this commented out
 # and leave 'force-reload' as an alias for 'restart'.
 #
 #log_daemon_msg "Reloading $DESC" "$NAME"
 #do_reload
 #log_end_msg $?
 #;;
 restart|force-reload)
 #
 # If the "reload" option is implemented then remove the
 # 'force-reload' alias
 #
 log_daemon_msg "Restarting $DESC" "$NAME"
 do_stop
 case "$?" in
 0|1)
 do_start
 case "$?" in
 0) log_end_msg 0 ;;
 1) log_end_msg 1 ;; # Old process is still running
 *) log_end_msg 1 ;; # Failed to start
 esac
 ;;
 *)
 # Failed to stop
 log_end_msg 1
 ;;
 esac
 ;;
 *)
 #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
 echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
 exit 3
 ;;
 esac

Sauvegarder le fichier et démarrer votre service Gopher

sudo chmod +x /etc/init.d/gopher
sudo update-rc.d gopher defaults
sudo service gopher start

 

Voilà! Maintenant, si vous tapez l’adresse de votre serveur Gopher dans votre navigateur Gopher, tout devrait bien aller.

Pour terminer, j’aimerais dire merci à Bob Mottram, car sans lui, je n’aurais pas passé au travers de cette installation. Voici le lien vers sa Freedombone.

Installation de D-Rats et d’un Ratflector sur RaspberryPi

Déjà le troisième article sur 4!

Dans cette partie, il est impératif d’ouvrir des ports pour que le Ratflector puisse communiquer avec le monde extérieur et aussi d’avoir un nom de domaine dynamique synchronisé avec votre adresse IP externe. Si vous n’avez pas fait cette partie, vous pouvez vous référer à la première partie de cette série de 4, ici!

Vous êtes Radioamateur et vous aimeriez mettre en place une Ratflector pour pouvoir communiquer et brancher des nodes pour D-Rats. Si c’est votre premier contact avec D-Rats, vous pouvez consulter le site web officiel ici http://www.d-rats.com/ pour en apprendre plus.

J’adore utiliser D-Rats et dans des situations d’urgences, c’est un outil de première classe. Comme notre Raspberry Pi assez performant, nous pouvons lui ajouter un Ratflector et de plus il est assez simple à configurer. Installer un Ratflector est un jeu d’enfant si nous avons bien préconfiguré notre Raspberry. Veuillez prendre note que je n’ai aucun radio de brancher sur le port com du Raspberry. Ceci pourrait faire objet d’un autre article si le temps me le permet.

Installation de D-Rats

Pour débuter, veuillez ouvrir un terminal sur votre Raspberry ou ouvrir une session SSH

Démarrons immédiatement avec une bonne mise à jour.

sudo apt-get update
sudo apt-get upgrade

Ensuite, selon le site de D-Rats, nous installerons des paquets nécessaires et D-Rats aussi.

sudo apt-get install python-libxml2 python-libxslt1 python-serial python-glade2
sudo atp-get install d-rats

Voilà, c’est tout! Qui a dit que Linux était compliqué? 🙂

Maintenant, déconnectez-vous et ouvrir une session VNC. Cliquez sur le bouton [Menu] [Run] et commencez à écrire le mot [d-rats]. Vous devriez voir apparaitre d-rats_repeater. Cliquez dessus pour le faire démarrer.

run d-rats

Cette fenêtre vous apparaitra et vous devez y configurer le port que vous avez déjà configuré dans votre routeur. Par défaut, le port est 9000 et c’est ce même port qui est configuré dans votre routeur si vous avez suivi les indications de l’article précédent. Inscrire l’indicatif de votre Ratflector dans Repeater Callsign et cliquez sur [on].repeater off

Si vous avez fait la portion de la configuration d’un nom de domaine dynamique, votre Ratflector sera joignable par tous vos amis radioamateurs avec ce même nom de domaine. Maintenant, votre défi est d’y brancher un radio pour faire de la communication numérique on the air et de le configurer correctement dans la portion Path de votre Ratflector.

Meilleurs 73

VA2OS